<?php
    /**
    *
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */

    include "../gUtil/DbManager.php";
    include "../classi/GeneratoreUrl.php";
    include "../costanti.php";
    include "../util.php";

    session_start();
    if(!isset($_SESSION["geecomUser_email"])) {
        header("Location: index.php");
    }
    else {
        //i dati del database sono definiti nel file costanti.php
        $geecomDb = new DbManager($costantiDatabase);

        $admin_email= $_SESSION["geecomUser_email"];

        $utente = $geecomDb->leggiSingolaRiga("geec_utenti", $_SESSION["geecomUser_id"]);
        $passwordAttuale = hash("sha512",$_POST['passwordAttuale']);
                
        $impostazioni = recuperaImpostazioni($geecomDb);
        $pagina       = $geecomDb->leggiSingolaRiga("geecAd_contenuti", $impostazioni["paginaProfilo"]);
        $linkPagina   = GeneratoreUrl::creaUrlContenuto($pagina, $impostazioni["ottimizzazioneUrl"], $impostazioni["urlPiattaforma"]);

        if($utente["password"]==$passwordAttuale) { // la password viene aggiornata solo se la vecchia password è giusta
            //prendo i valori dalla form
            $nuovaPassword   =  hash("sha512",$_POST['password']);

            //aggiorna la password
            $queryAggiornamentoUtenti="UPDATE geec_utenti SET password='$nuovaPassword' WHERE id={$utente["id"]}";
            $geecomDb->eseguiQueryLettura($queryAggiornamentoUtenti);

            header("Location: $linkPagina&status=200");
        }
        else {
            header("Location: ../pagina.php?id=2&status=444");
        }
    }